# Spark Balances

This endpoint returns BTKN token balances for a given Spark address, including token identifiers, symbols, and amounts.

## GET /v1/spark/address/{address}/btkn

> Get token balances for a specific Spark address.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/spark/address/{address}/btkn":{"get":{"tags":["Spark"],"description":"Get token balances for a specific Spark address.","parameters":[{"schema":{"type":"string"},"in":"path","name":"address","required":true,"description":"Spark address e.g. `sp...`"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"sparkAddress":{"type":"string"},"publicKey":{"type":"string"},"balance":{"type":"object","properties":{"btcSoftBalanceSats":{"type":"number"},"btcHardBalanceSats":{"type":"number"},"btcValueUsdHard":{"type":"number"},"btcValueUsdSoft":{"type":"number"},"totalTokenValueUsd":{"type":"number"}}},"totalValueUsd":{"type":"number"},"transactionCount":{"type":"number"},"tokenCount":{"type":"number"},"tokens":{"type":"array","items":{"type":"object","properties":{"tokenIdentifier":{"type":"string"},"tokenAddress":{"type":"string"},"name":{"type":"string"},"ticker":{"type":"string"},"decimals":{"type":"number"},"issuerPublicKey":{"type":"string"},"maxSupply":{"type":"number"},"isFreezable":{"type":"boolean"},"iconUrl":{"type":"string"}}}}}}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```
